# Uses of Interface
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.IModelUpdateStrategy

Packages that use IModelUpdateStrategy
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl

## Uses of IModelUpdateStrategy in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text that return IModelUpdateStrategy
Modifier and Type
Method
Description
`IModelUpdateStrategy`
EMFCompareTextMergeViewer.EditCommand.`getModelUpdateStrategy()`
Returns the update strategy used to make the change to the feature.
Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text with parameters of type IModelUpdateStrategy
Modifier
Constructor
Description
``
`EditCommand(Diff diff, IModelUpdateStrategy modelUpdateStrategy, IMergeViewer.MergeViewerSide side, String newValue)`
Creates a new compound command for the given `side`.

## Uses of IModelUpdateStrategy in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer that return IModelUpdateStrategy
Modifier and Type
Method
Description
`IModelUpdateStrategy`
CompareInputAdapter.`getModelUpdateStrategy()`
Returns the `IModelUpdateStrategy` to be used by content mergers for this compare input.

## Uses of IModelUpdateStrategy in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer

Classes in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer that implement IModelUpdateStrategy
Modifier and Type
Class
Description
`class`
`SingleValuedAttributeModelUpdateStrategy`
A `IModelUpdateStrategy` for single-valued `EAttributes`.
Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer that return IModelUpdateStrategy
Modifier and Type
Method
Description
`IModelUpdateStrategy`
IModelUpdateStrategyProvider.`getModelUpdateStrategy()`
Returns the model update strategy to be used for updating the model.

## Uses of IModelUpdateStrategy in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.factory.impl that return IModelUpdateStrategy
Modifier and Type
Method
Description
`IModelUpdateStrategy`
StringAttributeChangeAccessorFactory.`getModelUpdateStrategy()`
Returns the model update strategy to be used for updating the model.